repo/proj/guru:dev commit in: games-util/rusty-path-of-building/

"Florian Albrechtskirchinger" <[email protected]>
Newsgroups gmane.linux.gentoo.cvs
Message-ID <1787123008.4d3f8838e584987cadff84a020a2a406d6c4ba90.falbrechtskirchinger@gentoo>
commit:     4d3f8838e584987cadff84a020a2a406d6c4ba90
Author:     Florian Albrechtskirchinger <falbrechtskirchinger <AT> gmail <DOT> com>
AuthorDate: Tue Aug 18 17:17:20 2026 +0000
Commit:     Florian Albrechtskirchinger <falbrechtskirchinger <AT> gmail <DOT> com>
CommitDate: Wed Aug 19 07:03:28 2026 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=4d3f8838

games-util/rusty-path-of-building: new package, add 0.2.18

Signed-off-by: Florian Albrechtskirchinger <falbrechtskirchinger <AT> gmail.com>

 games-util/rusty-path-of-building/Manifest         |   2 +
 games-util/rusty-path-of-building/metadata.xml     |  11 ++
 .../rusty-path-of-building-0.2.18.ebuild           | 118 +++++++++++++++++++++
 3 files changed, 131 insertions(+)

diff --git a/games-util/rusty-path-of-building/Manifest b/games-util/rusty-path-of-building/Manifest
new file mode 100644
index 0000000000..6b6e055e15
--- /dev/null
+++ b/games-util/rusty-path-of-building/Manifest
@@ -0,0 +1,2 @@
+DIST rusty-path-of-building-0.2.18-crates.tar.xz 45381988 BLAKE2B 83191239d58db00be668a7561b27ae167afd8959ebec1bb4a486398aae63bf36eeb8991c7621376b756f2d36bbcc9ec61be5154660fac014f7760ae3c9cda0a8 SHA512 69d444beee6e6273c3106e3d20695082e731b3f3ecb8ccdb0d389a3878af6f057fc9dcd3aa80f882582893eab36449e4f928ebd1dcd8acda9abea4ca247647b1
+DIST rusty-path-of-building-0.2.18.tar.gz 645496 BLAKE2B f3cf181f5fdeca35a6185609a62c959e43ee194a4b763469609bcdabd9f730c27cd4215b6b33b48247707823bddfda6bb2484684a69bf63df2987f7312e4cb4f SHA512 8deeca271050f96f6ad91d85fad427649aa8f14a87d6dc77a26a2f670b874c2436d5e9700e90057d019c5f2ffe44b7143eaa9ea3d7c812ef74e7af0797f1fe38

diff --git a/games-util/rusty-path-of-building/metadata.xml b/games-util/rusty-path-of-building/metadata.xml
new file mode 100644
index 0000000000..51712cb62f
--- /dev/null
+++ b/games-util/rusty-path-of-building/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer type="person">
+		<email>[email protected]</email>
+		<name>Florian Albrechtskirchinger</name>
+	</maintainer>
+	<upstream>
+		<remote-id type="github">meehl/rusty-path-of-building</remote-id>
+	</upstream>
+</pkgmetadata>

diff --git a/games-util/rusty-path-of-building/rusty-path-of-building-0.2.18.ebuild b/games-util/rusty-path-of-building/rusty-path-of-building-0.2.18.ebuild
new file mode 100644
index 0000000000..2e2724eda0
--- /dev/null
+++ b/games-util/rusty-path-of-building/rusty-path-of-building-0.2.18.ebuild
@@ -0,0 +1,118 @@
+# Copyright 2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# Autogenerated by pycargoebuild 0.16.0
+
+EAPI=8
+
+RUST_MIN_VER="1.88.0"
+CRATES="
+"
+LUA_COMPAT=( lua5-1 luajit )
+
+inherit cargo desktop lua-single toolchain-funcs xdg-utils
+
+DESCRIPTION="Cross-platform runtime for Path of Building"
+HOMEPAGE="https://github.com/meehl/rusty-path-of-building"
+SRC_URI="
+	https://github.com/meehl/${PN}/archive/refs/tags/v${PV}.tar.gz -> "${P}".tar.gz
+	${CARGO_CRATE_URIS}
+"
+if [[ ${PKGBUMPING} != ${PVR} ]]; then
+	SRC_URI+="
+		https://github.com/fasys-crate-dist/${PN}/releases/download/v${PV}/${P}-crates.tar.xz
+	"
+fi
+
+LICENSE="MIT"
+# Dependent crate licenses
+LICENSE+="
+	Apache-2.0 BSD-2 BSD Boost-1.0 CC0-1.0 CDLA-Permissive-2.0 ISC MIT
+	MPL-2.0 UoI-NCSA Unicode-3.0 ZLIB
+"
+SLOT="0"
+KEYWORDS="~amd64"
+
+REQUIRED_USE="${LUA_REQUIRED_USE}"
+RESTRICT="test"
+
+# lzip requires luajit to build
+DEPEND="
+	${LUA_DEPS}
+	dev-lang/luajit:=
+	virtual/zlib:=
+"
+RDEPEND="
+	$(lua_gen_cond_dep '
+		dev-lua/lua-curlv3[${LUA_USEDEP}]
+		dev-lua/lua-utf8[${LUA_USEDEP}]
+		dev-lua/luasocket[${LUA_USEDEP}]
+	')
+	virtual/zlib:=
+"
+BDEPEND="virtual/pkgconfig"
+
+pkg_setup() {
+	lua-single_pkg_setup
+	rust_pkg_setup
+}
+
+src_prepare() {
+	default
+
+	sed 's/COMMONFLAGS\s*=.*/COMMONFLAGS = -fPIC $(OS_FLAGS) $(DBG)/' \
+		-i lua/libs/lzip/Makefile || die
+}
+
+src_compile() {
+	cargo_src_compile
+
+	pushd lua/libs/lzip >/dev/null || die
+
+	emake \
+		CC="$(tc-getCXX)" \
+		CFLAGS="${CXXFLAGS}" \
+		LDFLAGS="${LDFLAGS}" \
+		LUA_IMPL=luajit
+
+	popd >/dev/null || die
+}
+
+src_install() {
+	cargo_src_install
+
+	pushd lua/libs/lzip >/dev/null || die
+
+	emake \
+		DESTDIR="${ED}" \
+		LUA_IMPL=luajit \
+		install
+
+	popd >/dev/null || die
+
+	newicon assets/icon.png ${PN}.png
+
+	for v in 1 2; do
+		make_desktop_entry --eapi9 \
+			${PN} -a "poe${v} %U" \
+			-n "Path of Building PoE ${v}" \
+			-i ${PN} \
+			-c "Game;Utility;" \
+			-d "${PN}-${v}" \
+			-e "Keywords=poe;pob;pob${v};pobc;path;exile;" \
+			-e "MimeType=x-scheme-handler/pob${v/1/};" \
+			-e "StartupWMClass=${PN}-${v}"
+	done
+}
+
+pkg_postinst() {
+	xdg_desktop_database_update
+
+	einfo "If automatic updates fail, navigate to ~/.local/share/RustyPathOfBuilding{1,2}/"
+	einfo "and delete both the rpob.version file and the Update directory. This will force"
+	einfo "a complete re-download of PoB's latest assets and Lua code on the next startup."
+}
+
+pkg_postrm() {
+	xdg_desktop_database_update
+}
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.